Skip to main content
POST
/
table
/
reference
/
paste
Duplicate pasted table references
curl --request POST \
  --url https://app.myhero.so/table/reference/paste \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "oldToNewTableReferenceIds": {},
  "documentId": "<string>"
}
'
{
  "data": [
    {
      "_id": "<string>",
      "documentId": "<string>",
      "workspaceId": "<string>",
      "tableId": "<string>",
      "columnId": "<string>",
      "relatedRowId": "<string>",
      "columnName": "<string>",
      "tableName": "<string>",
      "type": "relation",
      "createdAt": 123,
      "updatedAt": 123,
      "originId": "<string>",
      "oneToManyColumnId": "<string>",
      "oneToManyInstanceIds": [
        "<string>"
      ]
    }
  ]
}

Documentation Index

Fetch the complete documentation index at: https://developers.myhero.so/llms.txt

Use this file to discover all available pages before exploring further.

Re-creates table references for a document block that was pasted into documentId. Accepts a map of old-to-new reference IDs and returns the newly created TableReference documents.

Authorizations

Authorization
string
header
required

HERO personal access token

Body

application/json
oldToNewTableReferenceIds
object
required
documentId
string
required
Minimum string length: 1

Response

200 response

data
object[]
required